<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>

<sect1 id="ch-system-m4" role="wrap">
  <?dbhtml filename="m4.html"?>

  <sect1info condition="script">
    <productname>m4</productname>
    <productnumber>&m4-version;</productnumber>
    <address>&m4-url;</address>
  </sect1info>

  <title>M4-&m4-version;</title>

  <indexterm zone="ch-system-m4">
    <primary sortas="a-M4">M4</primary>
  </indexterm>

  <sect2 role="package">
    <title/>

    <para>M4 软件包包含一个宏处理器。</para>

    <segmentedlist>
      <segtitle>&buildtime;</segtitle>
      <segtitle>&diskspace;</segtitle>

      <seglistitem>
        <seg>&m4-ch6-sbu;</seg>
        <seg>&m4-ch6-du;</seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

  <sect2 role="installation">
    <title>安装 M4</title>

    <para>准备安装 M4：</para>

<screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen>

    <para>编译该软件包：</para>

<screen><userinput remap="make">make</userinput></screen>

    <para>运行以下命令以测试编译结果：</para>

<screen><userinput remap="test">make check</userinput></screen>

    <para>安装该软件包：</para>

<screen><userinput remap="install">make install</userinput></screen>

  </sect2>

  <sect2 id="contents-m4" role="content">
    <title>M4 的内容</title>

    <segmentedlist>
      <segtitle>安装的程序</segtitle>

      <seglistitem>
        <seg>m4</seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">简要描述</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="m4">
         <!-- Don't remove the extra space, it prevet a FOP warning. -->
        <term><command>m4 </command></term>
        <listitem>
          <!--para>Copies the given files while expanding the macros that they
          contain [These macros are either built-in or user-defined and can
          take any number of arguments. Besides performing macro expansion,
          <command>m4</command> has built-in functions for including named
          files, running Unix commands, performing integer arithmetic,
          manipulating text, recursion, etc. The <command>m4</command> program
          can be used either as a front-end to a compiler or as a macro processor
          in its own right.]</para-->
	      <para>复制给定文件，并展开它们包含的宏
			  [这些宏可能是内置或用户定义的，可以接受任意个参数。
			  出了展开宏外， <command>m4</command> 还包含用于包含指定文件、
			  运行 Unix 命令、进行整数运算、处理文本、
			  递归执行等功能的内建函数。
			  <command>m4</command> 程序可以被用作编译器前端，
			  也可以被单独用作宏处理器。]</para>
          <indexterm zone="ch-system-m4 m4">
            <primary sortas="b-m4">m4</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
